### 5.1.96 monomial

`Syntax:`
  `monomial (` intvec_expression `)`
`Type:`
  poly resp. vector
`Purpose:`
  converts an integer vector to a power product (the inverse to `leadexp`).
  Returns a `vector` iff the length of the argument is number of variables +1.
`Example:`

        ring r=0,(x,y,z),dp;
        monomial(intvec(2,3));
      ==> x2y3
        monomial(intvec(2,3,0,1));
      ==> x2y3*gen(1)
        leadexp(monomial(intvec(2,3,0,1)));
      ==> 2,3,0,1

See intvec; leadexp.

User manual for Singular version 4.4.1, 2025, generated by texi2html.